Get verification
curl --request GET \
--url https://api.txcloud.io/v1/identity/verifications/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.txcloud.io/v1/identity/verifications/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.txcloud.io/v1/identity/verifications/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "ver_a1b2c3d4e5f6",
"object": "identity.verification",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"status": "pending",
"document_type": "<string>",
"country": "<string>",
"extracted_data": {
"document_number": "AE123456",
"first_name": "Mohammed",
"last_name": "El Amrani",
"first_name_arabic": "<string>",
"last_name_arabic": "<string>",
"date_of_birth": "2023-12-25",
"gender": "M",
"nationality": "<string>",
"issue_date": "2023-12-25",
"expiry_date": "2023-12-25",
"address": "<string>",
"place_of_birth": "<string>",
"mrz": "<string>",
"field_confidences": {}
},
"checks": {
"ocr": {
"status": "passed",
"confidence": 0.5
},
"face_match": {
"status": "passed",
"confidence": 0.5,
"similarity_score": 123,
"threshold": 123
},
"liveness": {
"status": "passed",
"confidence": 0.5,
"is_live": true,
"spoof_probability": 123
},
"fraud": {
"status": "passed",
"confidence": 0.5,
"tampering_detected": true,
"signals": [
"<string>"
]
},
"duplicate": {
"status": "passed",
"confidence": 0.5
}
},
"risk_score": 500,
"risk_level": "low",
"fraud_signals": [
{
"code": "<string>",
"severity": "low",
"message": "<string>"
}
],
"metadata": {}
}{
"error": {}
}Management
Get verification
Retrieves a verification by ID
GET
/
identity
/
verifications
/
{id}
Get verification
Authorizations
API key as Bearer token
Path Parameters
Verification ID
Response
Verification details
Example:
"ver_a1b2c3d4e5f6"
Available options:
identity.verification Available options:
pending, verified, rejected, review, expired, error Show child attributes
Show child attributes
Show child attributes
Show child attributes
Required range:
0 <= x <= 1000Available options:
low, medium, high, critical Show child attributes
Show child attributes